Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterMapEvent Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits MapEvent.

List of all members.

## Detailed Description

A Converter MapEvent views an underlying MapEvent through a set of key and value Converters.

## Public Types
typedef spec::Handle | Handle
| ConverterMapEvent Handle definition.
typedef spec::View | View
| ConverterMapEvent View definition.
typedef spec::Holder | Holder
| ConverterMapEvent Holder definition.
## Public Member Functions
virtual Object::View | getKey () const
| Return a key associated with this event. Returns: a key
virtual Object::View | getOldValue () const
| Return an old value associated with this event. The old value represents a value deleted from or updated in a map. It is always NULL for "insert" notifications. Returns: an old value
virtual Object::View | getNewValue () const
| Return a new value associated with this event. The new value represents a new value inserted into or updated in a map. It is always NULL for "delete" notifications. Returns: a new value
virtual MapEvent::View | getMapEvent () const
| Return the underlying MapEvent.
virtual Converter::View | getConverterKeyUp () const
| Return the Converter used to view the underlying MapEvent's key through.
virtual Converter::View | getConverterValueUp () const
| Return the Converter used to view the underlying MapEvent's value through.
virtual void | setKey (Object::View voKey)
| Set the cached converted key associated with this event.
virtual void | setOldValue (Object::View voValue)
| Set the cached converted old value associated with this event.
virtual void | setNewValue (Object::View voValue)
| Set the cached converted new value associated with this event.
virtual bool | isKeyConverted () const
| Check if the event's key has been converted.
virtual bool | isOldValueConverted () const
| Check if the event's old value has been converted.
virtual bool | isNewValueConverted () const
| Check if the event's new value has been converted.
## Protected Member Functions
| ConverterMapEvent (ObservableMap::Handle hMap, MapEvent::View vEvent, Converter::View vConvKey, Converter::View vConvVal)
| Create a ConverterMapEvent.
## Protected Attributes
MemberView< MapEvent > | m_vEvent
| The underlying MapEvent.
MemberView< Converter > | m_vConvKey
| The Converter to view the underlying MapEvent's key.
MemberView< Converter > | m_vConvVal
| The Converter to view the underlying MapEvent's value.

## Constructor & Destructor Documentation

ConverterMapEvent | ( | ObservableMap::Handle | hMap,
|  | MapEvent::View | vEvent,
|  | Converter::View | vConvKey,
|  | Converter::View | vConvVal |
| ) |  |  | `[protected]`

Create a ConverterMapEvent.

Parameters:

  | hMap | the new event's source
  | vEvent | the underlying MapEvent
  | vConvKey | the Converter to view the underlying MapEvent's key
  | vConvVal | the Converter to view the underlying MapEvent's values

## Member Function Documentation

virtual MapEvent::View getMapEvent | ( |  | ) | const `[virtual]`

Return the underlying MapEvent.

Returns:
  the underlying MapEvent

virtual Converter::View getConverterKeyUp | ( |  | ) | const `[virtual]`

Return the Converter used to view the underlying MapEvent's key through.

Returns:
  the Converter from the underlying MapEvent's key

virtual Converter::View getConverterValueUp | ( |  | ) | const `[virtual]`

Return the Converter used to view the underlying MapEvent's value through.

Returns:
  the Converter from the underlying MapEvent's value

virtual void setKey | ( | Object::View | voKey | ) | `[virtual]`

Set the cached converted key associated with this event.

Parameters:

  | voKey | the converted key value

virtual void setOldValue | ( | Object::View | voValue | ) | `[virtual]`

Set the cached converted old value associated with this event.

Parameters:

  | voValue | the new converted "old" value

virtual void setNewValue | ( | Object::View | voValue | ) | `[virtual]`

Set the cached converted new value associated with this event.

Parameters:

  | voValue | the new converted "new" value

virtual bool isKeyConverted | ( |  | ) | const `[virtual]`

Check if the event's key has been converted.

Returns:
  true iff the key has been converted

virtual bool isOldValueConverted | ( |  | ) | const `[virtual]`

Check if the event's old value has been converted.

Returns:
  true iff the old value has been converted

virtual bool isNewValueConverted | ( |  | ) | const `[virtual]`

Check if the event's new value has been converted.

Returns:
  true iff the new value has been converted

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.